### Method

# GObject BindingGroup bind

since: 2.72

#### Declaration [src]

    void
    g_binding_group_bind (
      GBindingGroup* self,
      const gchar* source_property,
      GObject* target,
      const gchar* target_property,
      GBindingFlags flags
    )

#### Description [src]

Creates a binding between `source_property` on the source object and `target_property` on `target`. Whenever the `source_property` is changed the `target_property` is updated using the same value. The binding flag `G_BINDING_SYNC_CREATE` is automatically specified.

See `g_object_bind_property()` for more information.

Available since: 2.72

#### Parameters

`source_property`

  Type: `const gchar*`

  The property on the source to bind.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`target`

  Type: `GObject`

  The target `GObject`.

  The data is owned by the caller of the method.

`target_property`

  Type: `const gchar*`

  The property on `target` to bind.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GBindingFlags`

  The flags used to create the `GBinding`.